summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoritsme2015-10-25 12:52:21 +0400
committeritsme2015-10-25 12:52:21 +0400
commit5c3965983db33f7b1d43ed50e7de4ecc562eaeab (patch)
tree949d16d077ca6792e92864e941cd7d18e25e350c
downloadaur-5c3965983db33f7b1d43ed50e7de4ecc562eaeab.tar.gz
Initial import
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD25
-rw-r--r--gcc43fix.diff12
3 files changed, 54 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..567622ac152
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = csstidy
+ pkgdesc = A program that optimises, formats and fixes CSS code
+ pkgver = 1.4
+ pkgrel = 2
+ url = http://sourceforge.net/projects/csstidy/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = scons
+ depends = gcc-libs
+ source = http://downloads.sourceforge.net/project/csstidy/CSSTidy%20%28C%2B%2B%2C%20stable%29/1.3/csstidy-source-1.4.zip
+ source = gcc43fix.diff
+ md5sums = 8fcbf5c1c3cafd9232552b3286aabcb9
+ md5sums = a176d2ee8f12c64687d275fe6cbd0134
+
+pkgname = csstidy
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ec9ef71b3a9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Contributor: Sergey Kish <sergey.kish@gmail.com>
+
+pkgname=csstidy
+pkgver=1.4
+pkgrel=2
+pkgdesc="A program that optimises, formats and fixes CSS code"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/csstidy/"
+license=('GPL')
+depends=('gcc-libs')
+makedepends=('scons')
+source=(http://downloads.sourceforge.net/project/csstidy/CSSTidy%20%28C%2B%2B%2C%20stable%29/1.3/csstidy-source-$pkgver.zip
+ 'gcc43fix.diff')
+md5sums=('8fcbf5c1c3cafd9232552b3286aabcb9'
+ 'a176d2ee8f12c64687d275fe6cbd0134')
+
+build() {
+ cd ${srcdir}
+ patch -p1 <gcc43fix.diff
+ scons || return 1
+}
+
+package() {
+ install -D release/csstidy/csstidy $pkgdir/usr/bin/csstidy
+}
diff --git a/gcc43fix.diff b/gcc43fix.diff
new file mode 100644
index 00000000000..cb72ea96806
--- /dev/null
+++ b/gcc43fix.diff
@@ -0,0 +1,12 @@
+diff -ru src~/csstidy/misc.cpp src/csstidy/misc.cpp
+--- src~/csstidy/misc.cpp 2010-07-05 18:37:05.515600279 +0300
++++ src/csstidy/misc.cpp 2010-07-05 18:38:13.458970488 +0300
+@@ -16,6 +16,7 @@
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+ */
+
++#include <cstring>
+ #include "csspp_globals.hpp"
+
+ bool escaped(const string &istring, const int pos)
+Binary files src~/.sconsign.dblite and src/.sconsign.dblite differ